controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Usuarios;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
    public function actionPrueba(){
        $datos="<script>alert('1');</script>";
        return $this->render("prueba",
                ["datos"=>$datos]);
    }
    
    public function actionFormulario(){
        if($datos=Yii::$app->request->post()){
            return $this->render("prueba",[
               "datos"=>$datos["usuario"], 
            ]);
        }else{
            return $this->render("formulario");
        }
    }
    
    
    public function actionUsuarios(){
        $model=new Usuarios();
        if($model->load(Yii::$app->request->post())){
            return $this->render('mostrarUsuarios',['model'=>$model]);
        }else{
            return $this->render('formularioUsuarios',['model'=>$model]);
        }
    }
    
    public function actionMensaje(){
        return $this->render("mensaje",[
            "titulo"=>"Ejemplo de clase",
            "texto"=>"texto de ejemplo",
        ]);
    }
    
    public function actionMensaje1(){
        return $this->render("mensaje1",[
           "titulo"=>"Ejemplo de clase",
           "pie"=>"Pie",
        ]);
    }
    
    public function actionMensaje2(){
        return $this->render("mensaje2",[
           "titulo"=>"Ejemplo de clase",
           "contenido"=>"Texto de ejemplo",
        ]);
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Prueba', 'url' => ['/site/prueba']],
            ['label' => 'Formulario', 'url' => ['/site/formulario']],
            ['label' => 'Usuarios', 'url' => ['/site/usuarios']],
            ['label'=>'Mensajes','items'=>[
                ['label'=>'Mensaje','url'=>['/site/mensaje']],
                ['label'=>'Mensaje1','url'=>['/site/mensaje1']],
                ['label'=>'Mensaje2','url'=>['/site/mensaje2']],
                
            ]],
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">Alberto Ceballos <?= date('Y') ?></p>

        <p class="pull-right">Alpe Formación</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>